package com.example.haircosmeticsanalyser

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.Button
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity
import androidx.fragment.app.Fragment
import androidx.navigation.fragment.findNavController
import com.google.android.material.floatingactionbutton.FloatingActionButton
import java.lang.System.*

/**
 * A simple [Fragment] subclass as the default destination in the navigation.
 */
class FirstPage : Fragment() {

    external fun Jniint() : Int

    companion object {
        init {
            System.loadLibrary("native-lib")
        }
    }

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        // Inflate the layout for this fragment
        return inflater.inflate(R.layout.first_page, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        view.findViewById<Button>(R.id.btnCamera).setOnClickListener {
            findNavController().navigate(R.id.action_FirstPage_to_CameraFragment)
        }

        view.findViewById<Button>(R.id.btnSearch).setOnClickListener {
            findNavController().navigate(R.id.action_FirstPage_to_SearchFragment)
        }

        view.findViewById<Button>(R.id.btnDatabase).setOnClickListener {
            findNavController().navigate(R.id.action_FirstPage_to_DatabaseFragment)
        }

        (activity as AppCompatActivity).supportActionBar?.hide()

    }
}