package com.example.haircosmeticsanalyser

import android.app.Application
import androidx.lifecycle.AndroidViewModel
import androidx.lifecycle.MutableLiveData
import com.example.haircosmeticsanalyser.db.IngredientEntity
import com.example.haircosmeticsanalyser.db.RoomAppDb

class MainActivityViewModel(app: Application) : AndroidViewModel(app) {
    lateinit var allIngredients : MutableLiveData<List<IngredientEntity>>
    lateinit var searchIngredient : MutableLiveData<List<IngredientEntity>>


    init {
        allIngredients = MutableLiveData()
        searchIngredient = MutableLiveData()
        getAllIngredients()
    }

    fun getAllIngredientsObservers() : MutableLiveData<List<IngredientEntity>> {
        return allIngredients
    }

    fun getAllIngredients() {
        val ingredientDao = RoomAppDb.getAppDatabase((getApplication()))?.ingredientDAO()
        val list = ingredientDao?.getAllIngredientInfo()

        allIngredients.postValue(list)
    }

    fun getSearchResult(search: String): IngredientEntity? {
        val ingredientDao = RoomAppDb.getAppDatabase((getApplication()))?.ingredientDAO()
        return ingredientDao?.getSearchResult(search)
    }
}