package com.example.haircosmeticsanalyser

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import com.example.haircosmeticsanalyser.db.IngredientEntity

class RecyclerViewAdapter(databaseFragment: DatabaseFragment) : RecyclerView.Adapter<RecyclerViewAdapter.MyViewHolder>() {

    var items = ArrayList<IngredientEntity>()
    var isDescriptionVisible = false

    fun setListData(data: ArrayList<IngredientEntity>) {
        this.items = data
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): MyViewHolder {
        val inflater = LayoutInflater.from(parent.context).inflate(R.layout.recyclerview_row, parent, false)
        return MyViewHolder(inflater)
    }

    override fun onBindViewHolder(holder: MyViewHolder, position: Int) {
        holder.bind(items[position])

        holder.txtViewDescriptionTitle.setOnClickListener {
            val description = holder.txtViewDescription

            if (isDescriptionVisible) {
                description.visibility = View.GONE
                isDescriptionVisible = false
            } else {
                description.visibility = View.VISIBLE
                isDescriptionVisible = true
            }
        }
    }

    override fun getItemCount(): Int {
        return items.size
    }

    class MyViewHolder(view: View) : RecyclerView.ViewHolder(view) {

        val txtViewName = view.findViewById<TextView>(R.id.txtViewName)
        val txtViewCategory = view.findViewById<TextView>(R.id.txtViewCategory)
        val txtViewDescription = view.findViewById<TextView>(R.id.txtViewDescription)
        val txtViewDescriptionTitle = view.findViewById<TextView>(R.id.txtViewDescriptionTitle)

        fun bind (data: IngredientEntity) {
            txtViewName.text = data.name
            txtViewCategory.text = data.category
            txtViewDescription.text = data.description
        }
    }
}