package com.example.haircosmeticsanalyser

import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.Button
import android.widget.EditText
import android.widget.ImageView
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity
import androidx.lifecycle.Observer
import androidx.lifecycle.ViewModelProviders
import androidx.navigation.fragment.findNavController
import androidx.recyclerview.widget.DividerItemDecoration
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import com.example.haircosmeticsanalyser.db.IngredientEntity

/**
 * A simple [Fragment] subclass as the second destination in the navigation.
 */
class SearchFragment : Fragment() {

    lateinit var viewModel: MainActivityViewModel
    lateinit var searchIngredient: String

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        // Inflate the layout for this fragment
        return inflater.inflate(R.layout.fragment_search, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        (activity as AppCompatActivity).supportActionBar?.show()
        (activity as AppCompatActivity?)!!.supportActionBar!!.title = getString(R.string.search)

        viewModel = ViewModelProviders.of(this).get(MainActivityViewModel::class.java)

        view.findViewById<ImageView>(R.id.imgSearch).setOnClickListener {
            searchIngredient = view.findViewById<EditText>(R.id.txtEditSearch).text.toString()
            var searchIngredientResponse = viewModel.getSearchResult(searchIngredient)

            view.findViewById<TextView>(R.id.txtViewSearchName).text =
                searchIngredientResponse?.name.toString()
            view.findViewById<TextView>(R.id.txtViewSearchCategory).text =
                "Kategoria: " + searchIngredientResponse?.category.toString()
            view.findViewById<TextView>(R.id.txtViewSearchDescription).text =
                "Opis: \n" + searchIngredientResponse?.description.toString()
        }
    }
}