package com.example.haircosmeticsanalyser.db

import android.content.Context
import androidx.room.Database
import androidx.room.Room
import androidx.room.RoomDatabase
import androidx.sqlite.db.SupportSQLiteDatabase
import java.util.Currency.getInstance
import java.util.concurrent.Executors


@Database(entities = [IngredientEntity::class], version = 1)
abstract class RoomAppDb: RoomDatabase() {
    abstract fun ingredientDAO(): IngredientDao?

    companion object {
        private var INSTANCE: RoomAppDb? = null

        fun getAppDatabase(context: Context): RoomAppDb? {
            if (INSTANCE == null) {
                INSTANCE = Room.databaseBuilder(
                    context.applicationContext, RoomAppDb::class.java, "AppDB"
                )
                    .allowMainThreadQueries()
                    .createFromAsset("database/IngredientsDB.db")
                    .build()
            }
            return INSTANCE
        }

//        private fun buildDatabase(context: Context): RoomAppDb? {
//            return Room.databaseBuilder(
//                context,
//                RoomAppDb::class.java,
//                "my-database"
//            ).addCallback(object : Callback() {
//                override fun onCreate(db: SupportSQLiteDatabase) {
//                    super.onCreate(db)
//                    Executors.newSingleThreadScheduledExecutor().execute(Runnable {
//                        getInstance(context).dataDao().insertAll(IngredientEntity.populateData())
//                    })
//                }
//            })
//                .build()
//        }
    }
}